import app from 'flarum/forum/app';
import {extend} from 'flarum/common/extend';
import Page from 'flarum/common/components/Page';
import IndexPage from 'flarum/forum/components/IndexPage';
import LogInModal from 'flarum/forum/components/LogInModal';
import extractText from 'flarum/common/utils/extractText';

export default class AuthorizePage extends IndexPage {
  params = [];
  client = null;
  oninit(vnode) {
    super.oninit(vnode);
    if (!app.session.user) {
      setTimeout(() => app.modal.show(LogInModal), 500);
    }

    const params = m.route.param();

    if (params.client_id == null || params.response_type == null || params.redirect_uri == null) {
      m.route.set('/');
    } else {
      this.params = params;
      app.store.find('oauth-clients', {'client_id': params.client_id}).then(client => {
          this.client = client;
      });
    }
  }

  setTitle() {
    app.setTitle(extractText(app.translator.trans('foskym-oauth-center.forum.page.title.authorize')));
    app.setTitleCount(0);
  }
  view() {
    return (
      <div className="AuthorizePage">
        <div className="container">
        </div>
      </div>
    );
  }
}
